Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.bindings
Class ComponentBinding

    java.lang.Object
      org.apache.tapestry5.ioc.BaseLocatable
          org.apache.tapestry5.internal.bindings.AbstractBinding
              org.apache.tapestry5.internal.bindings.ComponentBinding

All Implemented Interfaces:
  Binding, AnnotationProvider, Locatable

    public class ComponentBinding

extends AbstractBinding

Constructor Summary
`ComponentBinding(Location location, java.lang.String description, ComponentResources resources, java.lang.String componentId)`

Method Summary
`java.lang.Object` | `get()` Reads the current value of the property (or other resource).
`java.lang.String` | `toString()`

Methods inherited from class org.apache.tapestry5.internal.bindings.AbstractBinding
`getAnnotation, getBindingType, isInvariant, set`

Methods inherited from class org.apache.tapestry5.ioc.BaseLocatable
`getLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentBinding

    public ComponentBinding(Location location,
                            java.lang.String description,
                            ComponentResources resources,
                            java.lang.String componentId)

Method Detail

### get

    public java.lang.Object get()

  Description copied from interface: `Binding`
  Reads the current value of the property (or other resource). When reading properties of objects that are primitive types, this will return an instance of the wrapper type. In some cases, a binding is read only and this method will throw a runtime exception.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.